Profile Compliance Manager Query Expression Metadata

Profile Compliance Manager Query Expression Metadata
Query the metadata for the expressions.

Query the metadata for the expressions.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ProfileComplianceManager/{moId}/QueryExpressionMetadata
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ProfileComplianceManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryExpressionMetadataRequestType of type(s) application/json
Optional
{
    "expressionName": [
        "string"
    ],
    "profile": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
array of string
expressionName
Optional

Names of the Expressions for which metadata is requested. If expressionNames are not specified, metadata for all known expressions is returned

profile
Optional

Base profile whose context needs to be used during the operation

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "expressionId": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string",
            "messageCatalogKeyPrefix": "string",
            "messageArg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ]
        },
        "parameter": [
            {
                "_typeName": "string",
                "id": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string",
                    "messageCatalogKeyPrefix": "string",
                    "messageArg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ]
                },
                "type": "string",
                "optional": false,
                "defaultValue": {
                    "_typeName": "string"
                },
                "hidden": false,
                "securitySensitive": false,
                "readOnly": false,
                "parameterRelations": [
                    {
                        "_typeName": "string",
                        "relationTypes": [
                            "string"
                        ],
                        "values": [
                            {
                                "_typeName": "string"
                            }
                        ],
                        "path": {
                            "_typeName": "string",
                            "profilePath": "string",
                            "policyId": "string",
                            "parameterId": "string",
                            "policyOptionId": "string"
                        },
                        "minCount": 0,
                        "maxCount": 0
                    }
                ]
            }
        ]
    }
]
array of object
Optional

DataObject to represent the metadata associated with a SimpleExpression.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/ProfileComplianceManager/{moId}/QueryExpressionMetadata